/*
 * @ingroup   browse68_devel
 * @file      SC68html.h
 * @author    Ben(jamin) Gerard <ben@sashipa.com>
 * @date      1999/02/27
 * @brief     sc68 Browse Info HTML generator
 * @version   $Id: SC68html.h,v 1.1.1.1 2001/12/24 20:50:10 ben Exp $
 */

/*
 *                      sc68 - Browse Info HTML generator
 *         Copyright (C) 2001 Ben(jamin) Gerard <ben@sashipa.com>
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SC68HTML_H_
#define _SC68HTML_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "SC68browse.h"

/** Set local protocol string.
 *
 *  @param  type  0:local:// (default), 1:file://
 */
void SC68html_setlocal( int type );

/**  Generate an HTML page.
 *
 *  @param f    "wt" opened file for generated HTML destination.
 *  @param bi   BIDB to generate.
 *
 *  @return error-code
 *  @retval 0:success
 */
int SC68html_generate(FILE *f, SC68browse_info_t *bi);

#ifdef __cplusplus
}
#endif

#endif /* #ifndef _SC68HTML_H_ */
