/**
 * @ingroup   winamp68_devel
 * @file      obj3d.h
 * @author    Ben(jamin) Gerard <ben@sashipa.com>
 * @date      20/10/2001
 * @brief     Simple 3D object definition.
 * @version   $Id: sc68glabout.h,v 1.1.1.1 2001/12/24 20:50:11 ben Exp $
 */


/* Copyright (C) 1998-2001 Ben(jamin) Gerard */

/*
 *   The following ifdef block is the standard way of creating macros which
 *   make exporting from a DLL simpler. All files within this DLL are
 *   compiled with the SC68GLABOUT_EXPORTS symbol defined on the command
 *   line. this symbol should not be defined on any project that uses this
 *   DLL. This way any other project whose source files include this file
 *   see SC68GLABOUT_API functions as being imported from a DLL, wheras this
 *   DLL sees symbols defined with this macro as being exported.
 */
 
#ifdef SC68GLABOUT_EXPORTS
#define SC68GLABOUT_API __declspec(dllexport)
#else
#define SC68GLABOUT_API __declspec(dllimport)
#endif

/** about dialog creation structure. */
typedef struct
{
  void * hwnd;    /**< Parent window */
  void * in_mod;  /**< winamp input modules */
  void * paula;   /**< paula register buffer address */
  void * ymread;  /**< pointer to YM_read() function */
  void * app;     /**< sc68app_t * */
  void * rscname; /**< pointer to SC68os_resource_name() */
} sc68glabout_parm_t;

/** Create About GL demo dialog.
 *
 * @param   rundemo   
 * @param   p         Pointer to about dialog creation structure
 * @return  error-status
 * @retval  <0 Error
 */
SC68GLABOUT_API int CreateAboutDialog(int rundemo, sc68glabout_parm_t *p);


